Get a reward
curl --request GET \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/rewards/{rewardId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/rewards/{rewardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/rewards/{rewardId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"id": "<string>",
"is_active": true,
"onchain_asset_id": "<string>",
"tenant_id": "<string>",
"title": "<string>",
"xp_cost": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"metadata": "<unknown>",
"min_tier_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}Rewards
Get a reward
Reads one reward through the Portal API.
See the Gateway API entry for the full description.
GET
/
tenant
/
{tenantId}
/
rewards
/
{rewardId}
Get a reward
curl --request GET \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/rewards/{rewardId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/rewards/{rewardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/rewards/{rewardId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"id": "<string>",
"is_active": true,
"onchain_asset_id": "<string>",
"tenant_id": "<string>",
"title": "<string>",
"xp_cost": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"metadata": "<unknown>",
"min_tier_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}⌘I

